------------------------------------------------------------------------------------
--Name:  	201224[简体征服][任务脚本]战士觉醒任务-挑战提尔
--Creator:	郑洵
--Created:	2020-12-24
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>106


-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(91,142)
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
-- local hero = CppScriptMgr:QueryHero()
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "名字", id, 角色类型luaPlayerType)
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "新手勇士", 4003000001)


-- 创建，玩家
local hero = CppScriptMgr:QueryHero()

hero:SetPos(91,142)
hero:SetDir(4)
local sex = hero:GetSex()
local touxiang = "NPCBust_npc27064"
if sex == 2 then 
	touxiang = "NPCBust_npc185"
end

-- 提尔（有半身像）说话
CppScriptMgr:NpcCallOut("You wanna sign a covenant with me? Well, it depends on how capable you are.\n\n\n\n                                     Click ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc27643", 150, 430, "Tyre", 250, 655)
CppScriptMgr:WaitMilSec(2000)

-- 萧无定（有半身像）说话
CppScriptMgr:NpcCallOut("Hero, Warlord Tyre always puts the spirit of covenant first. Defeat him, and you`ll earn his trust.\n\n\n\n                                     Click ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc27644", 150, 430, "General Xiao", 250, 655)
CppScriptMgr:WaitMilSec(2000)

-- 主角（有半身像）说话
CppScriptMgr:NpcCallOut("Is there a story about Warlord Tyre?\n\n\n\n                                     Click ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, touxiang, 150, 430, hero:GetName(), 250, 655)
CppScriptMgr:WaitMilSec(2000)

-- 萧无定（有半身像）说话
CppScriptMgr:NpcCallOut("Yes. Because of the covenant, Warlord Tyre`s arm was bitten off by Fenrir. And it has something to do with your challenge too.\n\n\n\n                                     Click ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc27644", 150, 430, "General Xiao", 250, 655)
CppScriptMgr:WaitMilSec(2000)

-- 主角（有半身像）说话
CppScriptMgr:NpcCallOut("What do you mean?\n\n\n\n                                     Click ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, touxiang, 150, 430, hero:GetName(), 250, 655)
CppScriptMgr:WaitMilSec(1500)

-- 萧无定（有半身像）说话
CppScriptMgr:NpcCallOut("Tyre`s silver hand is just his weakness. If you can defeat his weakness within 1 minute, his attack will be decreased by 50%%, but his attack speed will be increased by 50%%.\n\n\n\n                                     Click ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc27644", 150, 430, "General Xiao", 250, 655)
CppScriptMgr:WaitMilSec(4000)

-- 主角（有半身像）说话
CppScriptMgr:NpcCallOut("Thanks, General Xiao! I won`t let you down!\n\n\n\n                                     Click ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, touxiang, 150, 430, hero:GetName(), 250, 655)
CppScriptMgr:WaitMilSec(1500)





